//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop
#include <inifiles.hpp>

#include "badcommadlgs.h"
#include "global.h"
#include "utility.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TBadCommaDlg *BadCommaDlg;
const AnsiString dlgtext =
   "Sorry. I can't create this nym for you. The problem is, there's a "
   "COMMA in the %encryptkey% field. Commas are used to separate 2 or more "
   "passwords for an incoming message, created by another nym client, "
   "with multiple layers of symmetric encryption. "
   "Those messages have been through 2 or more remailers. "
   "I CAN decrypt messages with multiple layers, but can only "
   "create messages with reply blocks pointing directly to "
   "alt.anonymous.messages. Current thinking is that mail direct to the "
   "newsgroup is secure and doesn't introduce the unreliability that a "
   "trip through the remailer network might.";
//---------------------------------------------------------------------------

void __fastcall ShowCommaError(TForm *Owner, AnsiString encryptkey)
{
   AnsiString thetext = dlgtext;
   int x = encryptkey.Pos(":");
   if (x)
	  encryptkey.Delete(x, 1);
   x = thetext.Pos("%encryptkey%");
   if (x)
	  thetext.Delete(x, 12);
   thetext.Insert(encryptkey, x);
   BadCommaDlg = new TBadCommaDlg(Owner);
   BadCommaDlg->Label1->Caption = encryptkey + ": " + BadCommaDlg->Label1->Caption;
   BadCommaDlg->RichEdit1->Lines->Text = thetext;
   BadCommaDlg->RichEdit1->SelStart = 0;
   BadCommaDlg->RichEdit1->Perform(EM_SCROLLCARET, 0, 0);
   BadCommaDlg->ShowModal();
   delete BadCommaDlg;
}
//---------------------------------------------------------------------------

/*void __fastcall ShowCommaError(TForm *Owner, AnsiString encryptkey)
{
   AnsiString thetext = dlgtext;
   int x = encryptkey.Pos(":");
   if (x)
	  encryptkey.Delete(x, 1);
   x = thetext.Pos("%encryptkey%");
   if (x)
	  thetext.Delete(x, 12);
   thetext.Insert(encryptkey, x);
   BadCommaDlg = new TBadCommaDlg(Owner);
   BadCommaDlg->Label1->Caption = encryptkey + ": " + BadCommaDlg->Label1->Caption;
   BadCommaDlg->RichEdit1->Lines->Text = thetext;
   BadCommaDlg->RichEdit1->SelStart = 0;
   BadCommaDlg->RichEdit1->Perform(EM_SCROLLCARET, 0, 0);
   BadCommaDlg->ShowModal();
   delete BadCommaDlg;
}*/
//---------------------------------------------------------------------------

__fastcall TBadCommaDlg::TBadCommaDlg(TComponent* Owner)
	: TForm(Owner)
{
   TIniFile *ini = new TIniFile(AppIni());
   AssignFont(Font, ini->ReadString("settings", "dialogfont", OptsDefDialogFont));
   delete ini;
}
//---------------------------------------------------------------------------
